Lintian Fixes - tuxonice-userui

Ready changes

Merge these changes:

Summary

Diff

diff --git a/debian/changelog b/debian/changelog
index a65361e..9c6d748 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -10,6 +10,10 @@ tuxonice-userui (1.1+dfsg1.gc3bdd83-5) UNRELEASED; urgency=medium
   [ Ondřej Nový ]
   * d/changelog: Remove trailing whitespaces
 
+  [ Debian Janitor ]
+  * Bump debhelper from deprecated 9 to 12.
+  * Set debhelper-compat version in Build-Depends.
+
  -- Julien Muchembled <jm@jmuchemb.eu>  Mon, 11 Jun 2018 12:47:44 +0200
 
 tuxonice-userui (1.1+dfsg1.gc3bdd83-4) unstable; urgency=medium
diff --git a/debian/compat b/debian/compat
deleted file mode 100644
index ec63514..0000000
--- a/debian/compat
+++ /dev/null
@@ -1 +0,0 @@
-9
diff --git a/debian/control b/debian/control
index b6f3189..b520bee 100644
--- a/debian/control
+++ b/debian/control
@@ -2,7 +2,7 @@ Source: tuxonice-userui
 Priority: optional
 Section: contrib/misc
 Maintainer: Julien Muchembled <jm@jmuchemb.eu>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper-compat (= 12),
                libmng-dev (>= 1.0.5),
                libfreetype6-dev,
                libpng-dev,

Debdiff

File lists identical (after any substitutions)

No differences were encountered between the control files of package tuxonice-userui

No differences were encountered between the control files of package tuxonice-userui-dbgsym

Run locally

Try this locally (using the lintian-brush package):

debcheckout tuxonice-userui
cd tuxonice-userui
lintian-brush

More details

Full run details